package org.project.item.weapons;

import org.project.entity.Entity;

public class TailScythe extends Weapon{
    private static int DEFAULT_DAMAGE = 40;
    private static int DEFAULT_MANACOST = 20;
    private static int DEFAULT_SPECIAL_MANA = 20;


    public TailScythe() {
        super(DEFAULT_DAMAGE, DEFAULT_MANACOST, DEFAULT_SPECIAL_MANA);
    }

    @Override
    public void useSpecialAbility(Entity attacker, Entity target) {
        target.takeDamage(this.getDamage() + 20);
        attacker.reduceMana(this.getManaCost() + 5);
        target.skipNextTurn();
    }
    @Override
    public String getType() {
        return "Tail Scythe(Dragons)";
    }
    @Override
    public String getExplanation() {
        return "Melee sweeping attack for Dragons. Hitting targets with its tail.\n"  +
                "Damage: "+ this.getDamage() +" Mana cost: " + this.getManaCost() +
                "Special ability:The target takes +20 damage than normal attack. Also loses their next turn.";
    }
}
